<div class="row justify-content-center">
    <div class="col-8">
        <div *ngIf="verifyField">
            <h2><span>Verify Field</span> {{ verifyField.id }}</h2>

            <hr>

            <jhi-alert-error></jhi-alert-error>

            <dl class="row-md jh-entity-details">
                <dt><span>Name</span></dt>
                <dd>
                    <span>{{ verifyField.name }}</span>
                </dd>
                <dt><span>Label</span></dt>
                <dd>
                    <span>{{ verifyField.label }}</span>
                </dd>
                <dt><span>Link</span></dt>
                <dd>
                    <span>{{ verifyField.link }}</span>
                </dd>
                <dt><span>Verify</span></dt>
                <dd>
                    <span>{{ verifyField.verify }}</span>
                </dd>
                <dt><span>Case Step</span></dt>
                <dd>
                    <div *ngIf="verifyField.caseStep">
                        <a [routerLink]="['/case-step', verifyField.caseStep?.id, 'view']">{{ verifyField.caseStep?.id }}</a>
                    </div>
                </dd>
                <dt><span>Case Step Instance</span></dt>
                <dd>
                    <div *ngIf="verifyField.caseStepInstance">
                        <a [routerLink]="['/case-step-instance', verifyField.caseStepInstance?.id, 'view']">{{ verifyField.caseStepInstance?.id }}</a>
                    </div>
                </dd>
            </dl>

            <button type="submit"
                    (click)="previousState()"
                    class="btn btn-info">
                <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span>Back</span>
            </button>

            <button type="button"
                    [routerLink]="['/verify-field', verifyField.id, 'edit']"
                    class="btn btn-primary">
                <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span>Edit</span>
            </button>
        </div>
    </div>
</div>
